PDA

View Full Version : SLES 12 SP1 Access denied during zypper refresh



cdslyon
28-Dec-2018, 12:10
Hello,

I can't make updates (i need to make the SP3 updates , SP1 -> SP2 and SP2 -> SP3)

But when i want to make a refresh with zypper :

zypper update -t patch
Refreshing service 'Advanced_Systems_Management_Module_12_x86_64'.
Refreshing service 'SUSE_Linux_Enterprise_Server_for_SAP_Applications _12_SP1_x86_64'.
Problem retrieving the repository index file for service 'SUSE_Linux_Enterprise_Server_for_SAP_Applications _12_SP1_x86_64':
File './repo/repoindex.xml' not found on medium 'https://scc.suse.com/access/services/1335?cookies=0&credentials=SUSE_Linux_Enterprise_Server_for_SAP_A pplications_12_SP1_x86_64'

Check if the URI is valid and accessible.
Refreshing service 'SUSE_Package_Hub_12_SP1_x86_64'.
Problem retrieving the repository index file for service 'SUSE_Package_Hub_12_SP1_x86_64':
File './repo/repoindex.xml' not found on medium 'https://scc.suse.com/access/services/1461?cookies=0&credentials=SUSE_Package_Hub_12_SP1_x86_64'

Check if the URI is valid and accessible.
Permission to access 'https://updates.suse.com/SUSE/Updates/SLE-SAP/12-SP1/x86_64/update/repodata/repomd.xml?A1g8FhzvDidRxr7BKV7W5zMUDBBSaW0DYHeSALC VXhX9_YTJVEcmi_0XmFdW-0iQGS8t0FjlAov7rGMBB-W9L5AtR8vlKOLMqLTiMhqeuVCzfQaq9z4oOhrVPmPgc4BiWXbT i9C67IM' denied.

Abort, retry, ignore? [a/r/i/? shows all options] (a):
Abort, retry, ignore? [a/r/i/? shows all options] (a):
ABORT request: Aborting requested by user


If someone can help me.

Sincerely

ab
28-Dec-2018, 17:27
Since this box is older, is it possible the credentials/activation it is
using to access the server is old or has expired? TID# 7016626 (
https://www.suse.com/support/kb/doc/?id=7016626 ) may help with setting up
and verifying the registration.


--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below.

If you want to send me a private message, please let me know in the
forum as I do not use the web interface often.

cgarciaw
02-Jan-2019, 23:08
Hello,
I can't make updates (i need to make the SP3 updates , SP1 -> SP2 and SP2 -> SP3)
...

This is also happening to me for SDK since a few days.

Looks like a config problem for extension repositories on the SUSE side.

C.

cgarciaw
03-Jan-2019, 02:30
I re-registered the extension using the registration code for the base system and the problem disappeared:

sudo SUSEConnect -p sle-sdk/12.4-0/x86_64 -r XXXXXXXXXXXXXX

where the term after -p is the <extension>/<version>/<architecture>.

No clue why the extension/module required this re-registration.

C.

christianmolecki
03-Jan-2019, 14:49
I also had these problems for few days.
Now I can update the servers with SDK, without the reregistration workaorund.

It seems the issues are fixed.